ktabctl.h
/* This file is part of the KDE libraries
Copyright (C) 1997 Alexander Sanda (alex@darkstar.ping.at)
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
/*
* $Id: ktabctl.h 465272 2005-09-29 09:47:40Z mueller $
*/
#ifndef KTABCTL_H
#define KTABCTL_H
#include <qwidget.h>
#include <qtabbar.h>
#include <qmemarray.h>
#include <kdelibs_export.h>
class KDEUI_EXPORT KTabCtl : public QWidget
{
Q_OBJECT
public:
KTabCtl(QWidget *parent = 0, const char *name = 0);
~KTabCtl();
void show();
void setFont(const QFont & font);
void setTabFont( const QFont &font );
void addTab(QWidget *, const QString&);
bool isTabEnabled(const QString& );
void setTabEnabled(const QString&, bool);
void setBorder(bool);
void setShape( QTabBar::Shape shape );
virtual QSize sizeHint() const;
protected:
void paintEvent(QPaintEvent *);
void resizeEvent(QResizeEvent *);
signals:
void tabSelected(int);
protected slots:
void showTab(int i);
protected:
void setSizes();
QRect getChildRect() const;
QTabBar * tabs;
QMemArray<QWidget *> pages;
int bh;
bool blBorder;
protected:
virtual void virtual_hook( int id, void* data );
private:
class KTabCtrlPrivate* d;
};
#endif
KTabCtl
Tabbed dialog with extended features.
Definition: ktabctl.h:48

KDE Home | KDE Accessibility Home | Description of Access Keys